Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155388 - Per-mount ghosting request
Summary: Per-mount ghosting request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-04-19 21:04 UTC by Jacob Beacham
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-654
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 19:11:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:654 qe-ready SHIPPED_LIVE autofs bug fix update 2005-09-28 04:00:00 UTC

Description Jacob Beacham 2005-04-19 21:04:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Ghosting of automounts is currently all-or-nothing, as specified by
the presence or absense of "--ghost" in the variable DAEMONOPTIONS in
/etc/sysconfig/autofs.  It would be very nice if you could specify which
mounts you'd like to be ghosted, instead of all or none.

Version-Release number of selected component (if applicable):
autofs-4.1.3-47

How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:

A particular fix we used was a change to /etc/init.d/autofs, which allowed
us to specify which automount points we wanted ghosted, instead of having
an "all or nothing" situation.  It would be nice to see this implemented
natively as well.  It was very simple to write, only a few lines:

ghostdirs="$(echo "$GHOSTDIRS" | sed 's/ /\|/g')"
if echo "$dir" | grep -qE -- "^($ghostdirs)\$" ;
then
    startupoptions="$startupoptions --ghost"
fi

This allows us to specify a space-delimeted list of target mount points
that we want ghosted through the variable GHOSTDIRS in /etc/sysconfig/autofs.
This isn't a permanent fix, but we were able to only ghost project and scratch
space, while keeping system mounts un-ghosted.

Comment 1 Jeff Moyer 2005-04-19 23:53:08 UTC
I'm not sure how this is any easier than modifying /etc/auto.master.  One thing
I guess it gains you is the ability to specify ghosting of maps when the
auto.master is not controlled by you (i.e. when it is in NIS or ldap).  Is this
your situation?

At any rate, this is a reasonable request.  If it makes your life easier, then
I'll certainly try to get this into the next round of updates.

Comment 2 Jacob Beacham 2005-04-20 21:14:23 UTC
Actually, yes, we use NIS for everything, and would like to have these settings
be local.(In reply to comment #1)


Comment 8 Jeff Moyer 2005-07-15 15:56:06 UTC
A fix for this was just committed to version 4.1.3-142 of autofs.

Comment 11 Red Hat Bugzilla 2005-09-28 19:11:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-654.html



Note You need to log in before you can comment on or make changes to this bug.